# Create Transfer

Create basic transfer transaction.

Endpoint: POST /api/v1/transactions/transfer
Version: 0.2.0
Security: bearerAuth

## Header parameters:

  - `x-signature` (string)
    Signature of the body. Base64 encoded string. If the request is made programatically by an API user, signing of the request is required and is intended to protect you from malicious backends.
    Example: "SGVsbG8="

  - `x-timestamp` (integer)
    Timestamp of the signature. Integer. Specify an Epoch date. If the request is made programatically by an API user, the timestamp of the request is required and is intended to protect you from replay attacks.

  - `x-idempotence-id` (string)
    Optional idempotence ID of a transaction.

## Request fields (application/json):

  - `fee_payer` (object)
    The vault that pays the fee for this transaction.

  - `fee_payer.type` (string, required)

  - `fee_payer.vault_id` (string, required)
    The unique identifier of the vault that pays the fee.

  - `vault_id` (string, required)
    The ID of the vault to transfer from.

  - `to` (any, required)
    The recipient of the transfer: an address, vault ID, or contact ID.

  - `amount` (any, required)
    The number of units of currency to transfer.

  - `asset_identifier` (any, required)
    The asset to be transferred.

  - `memo` (string)
    The memo of the transaction. Supported on chains: Canton, Cosmos, Stacks, Stellar, Utxo, Tron, Ton

  - `fee_priority` (string)
    The fee priority of the transaction.
    Enum: "low", "medium", "high"

  - `note` (string)
    An optional transaction note.

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

  - `error_type` (string)
    Enum: "reverted_transaction", "partial_signed_raw_request", "blocked_by_policy", "transaction_contains_restricted_addresses", "vault_not_found", "missing_signed_raw_request", "redundant_signed_raw_request", "transaction_to_non_contract", "insecure_key_derivation", "invalid_signed_raw_request", "invalid_signer_type", "invalid_evm_message", "invalid_evm_transaction_data", "insufficient_funds", "vault_type_mismatch", "invalid_creator_type", "invalid_recipient", "dust_not_allowed", "invalid_gas_type", "insufficient_approvers", "funding_blocked_by_policy", "funder_not_allowed_for_transaction_type", "origin_vault_used_as_funder", "mixed_secure_and_non_secure_transactions", "invalid_push_mode", "chain_does_not_support_secure_node", "invalid_solana_secret_key", "invalid_solana_raw_transaction_accounts_field", "insufficient_gas_coins", "invalid_aptos_serialized_entry_point", "invalid_aptos_serialized_type", "invalid_aptos_rotate_key", "sui_package_address_not_found", "transaction_already_mined", "invalid_utxo_message_address_type", "invalid_starknet_vault_state", "missing_secret_key_or_recent_blockhash", "missing_secret_key_or_signature", "revoke_allowance_gas_limit_too_high", "chain_is_disabled", "priority_fee_already_set", "quote_not_found", "invalid_transaction_gas_config_field", "chain_is_not_supported", "gas_sponsor_not_enabled_for_organization", "chain_does_not_support_7702", "creating_user_operation_message_is_blocked", "transaction_fee_exceeds_limit", "transaction_not_pushable", "aml_not_configured", "transaction_not_frozen", "send_7702_transaction_to_self", "vault_is_not_smart_account", "invalid_canton_vault_registration_state", "failed_finding_wrapped_native_token"

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


